> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-11/v10-11-0.md).

# Version 10.11.0 Changelog (2024-07-24)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

General

* Added ability to load external CSS stylesheets in WebViewer WebComponent.

Content Edit

* Improved text selection performance.
* Added new APIs to toggle on/off the reflow of long text string when editing a text box. `Core.ContentEdit.getLongTextReflow` and `Core.ContentEdit.setLongTextReflow`.

Office Editor

* Added support for Track Changes, and ability to create/accept/reject Track Changes.
* Added ability to detect style on a table cell range.

### Fixes

General

* Fixed an issue where downloading a PDF consecutively would re-apply watermarks.
* Fixed an issue where worker errors were not caught when calling `Core.officeToPDFBuffer`.
* Fixed an issue where calling `instance.UI.loadDocument` with a null password entry would prematurely close the password modal.
* Fixed a rendering issue with WebViewer WebComponent that affected annotation drawing when the viewer was offset to the right side of the page.

Annotations

* Fixed an issue with `distributeAnnotations` incorrectly ordering annotations.

Content Edit

* Fixed an issue where using the `Delete` key sometimes removed text backward instead of forward.
* Fixed an issue where paragraph level editing was broken in Safari 14 and 15.

Forms

* Fixed an issue where signatures widgets with the `readOnly` flag set to true were able to be deleted.
* Fixed a regression where certain form fields did not have styling applied after changing through the style popup.

Office Editor

* Fixed an issue where the copy and paste options in the context menu were not functioning correctly.
* Fixed an issue where certain mouse events were not working when using the office editor with WebViewer WebComponent.
* Fixed an issue where pasting without formatting did not work in Safari and Firefox.

## WebViewer UI

### New

Accessibility

* Active focus styles are now WCAG compliant.
* Improved accessibility for bookmarks, signatures, and layer panels.
* Improved accessibility for portfolio panels, redaction panels, and file attachment panels.

Office Editor

* Added 'Review' mode for the creation of Track Changes.
* Added support for viewing Track Changes in 'Review' panel.
* Added Track Changes popup for quickly accepting/rejecting change.

Embedded Printing

* Added options for watermarks, printing with comments, `Current View`, `Current Page`, `Specify Page`, `Grayscale`, `Include Annotations`, and `Flatten`.
* Added support for embedded printing for WebViewer Server Documents.
* Added support for embedded printing for other document types like Office, but not XOD files.

### Fixes

General

* Fixed a print regression where it prints the whole page instead of the current view.

Annotations

* Fixed an issue where FreeText annotation text with multiple font sizes would crash WebViewer.

Custom UI

* Fixed an issue where the ribbon items overflow flyout displayed disabled items.

Office Editor

* Fixed an issue where cursor styles were not properly set.
* Fixed an issue where user is not able set style on table range.

Redaction

* Fixed an issue where the redaction search and mark all feature did not apply the correct font size.
* Fixed an issue where redactions were not being applied when using the redaction search panel results view.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-11/v10-11-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
